Skip to main content

getInflationReward

POST

Returns the specific inflation values for the current epoch
param[0]
addressesarrayrequired
An array of addresses to query, as base-58 encoded strings
param[1]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.
  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
epochstring
The blockhash of query, as base-58 encoded string
minContextSlotstring
The minimum slot that the request can be evaluated at.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
epochinteger
Epoch for which reward occurred
effectiveSlotinteger
The slot in which the rewards are effective
amountinteger
Reward amount in lamports
postBalanceinteger
Post balance of the account in lamports
commissioninteger
Vote account commission when the reward was credited
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getInflationReward",
"params": [
[
"6dmNQ5jwLeLk5REvio1JcMshcbvkYMwy26sJ8pbkvStu",
"BGsqMegLpV6n6Ve146sSX2dTjUMj3M92HnU8BbNRMhF2"
],
{
"commitment": "finalized",
"epoch": 800
}
]
}'